Create OIDCTrust Relationship
https://app.fossa.com/api/oidc/trust-relationshipsCreate a new OIDC Trust Relationship
Request body (required) · application/json
Responses
201Successfully created OIDC Trust RelationshipidintegerrequiredThe unique identifier of the OIDC Trust Relationship
organizationIdintegerrequiredThe ID of the organization this trust relationship belongs to
userIdintegerrequiredThe ID of the user associated with this trust relationship
providerIdintegerrequiredThe ID of the OIDC Provider this trust relationship uses
scopeenumThe scope level of the trust relationship
orgteamscopeIdintegerThe ID associated with the scope: either the organization ID or the team ID
audiencesstring[]requiredArray of valid audiences for this trust relationship
requiredClaimsobject[]requiredArray of claim objects. Must contain at least one object with claim: "sub". Additional objects with other claims are optional.
claimstringrequiredThe claim type identifier
valuestring | number | booleanrequiredThe claim value
hasWildcardsbooleanWhether this claim supports wildcard matching. Defaults to false. If true, then the following characters in `value` are treated as special characters: - `?` matches exactly one character - `*` matches zero or more characters - `\` escapes the following character
createdAtstring <date-time>requiredWhen the trust relationship was created
updatedAtstring <date-time>requiredWhen the trust relationship was last updated
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/oidc/trust-relationshipscurl --request POST \ --url 'https://app.fossa.com/api/oidc/trust-relationships' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "userId": 789, "providerId": 321, "scope": "org", "audiences": [ "https://api.fossa.com", "fossa" ], "requiredClaims": [ { "claim": "sub", "value": "repo:fossas/*", "hasWildcards": true }, { "claim": "role", "value": "admin", "hasWildcards": false }, { "claim": "department", "value": "engineering" } ]}'Real request. Mutating methods can change data.